Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Class DefaultAnnotationHover

    java.lang.Object
      org.eclipse.jface.text.source.DefaultAnnotationHover

All Implemented Interfaces:
  IAnnotationHover

    public class DefaultAnnotationHover

extends Object
implements IAnnotationHover

Standard implementation of `IAnnotationHover`.

Since:
  3.2

Constructor Summary
`DefaultAnnotationHover()` Creates a new default annotation hover.
`DefaultAnnotationHover(boolean showLineNumber)` Creates a new default annotation hover.

Method Summary
`protected String` `formatMultipleMessages(List messages)` Hook method to formats the given messages.
`protected String` `formatSingleMessage(String message)` Hook method to format the given single message.
`String` `getHoverInfo(ISourceViewer sourceViewer, int lineNumber)` Returns the text which should be presented in the a hover popup window.
`protected boolean` `isIncluded(Annotation annotation)` Tells whether the annotation should be included in the computation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAnnotationHover

    public DefaultAnnotationHover()

  Creates a new default annotation hover.

  Since:
    3.4

### DefaultAnnotationHover

    public DefaultAnnotationHover(boolean showLineNumber)

  Creates a new default annotation hover.

  Parameters:
    `showLineNumber` - `true` if the line number should be shown when no annotation is found
  Since:
    3.4

Method Detail

### getHoverInfo

    public String getHoverInfo(ISourceViewer sourceViewer,
                               int lineNumber)

  Description copied from interface: `IAnnotationHover`
  Returns the text which should be presented in the a hover popup window. This information is requested based on the specified line number.

  Specified by:
    `getHoverInfo` in interface `IAnnotationHover`
  Parameters:
    `sourceViewer` - the source viewer this hover is registered with
    `lineNumber` - the line number for which information is requested
  Returns:
    the requested information or `null` if no such information exists

### isIncluded

    protected boolean isIncluded(Annotation annotation)

  Tells whether the annotation should be included in the computation.

  Parameters:
    `annotation` - the annotation to test
  Returns:
    `true` if the annotation is included in the computation

### formatSingleMessage

    protected String formatSingleMessage(String message)

  Hook method to format the given single message.

  Subclasses can change this to create a different format like HTML.

  Parameters:
    `message` - the message to format
  Returns:
    the formatted message

### formatMultipleMessages

    protected String formatMultipleMessages(List messages)

  Hook method to formats the given messages.

  Subclasses can change this to create a different format like HTML.

  Parameters:
    `messages` - the messages to format (element type: `String`)
  Returns:
    the formatted message

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.